JavaScript
import Whop from '@whop/sdk';
const client = new Whop({
apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});
const swaps = await client.swaps.list({ account_id: 'account_id' });
console.log(swaps.data);curl --request GET \
--url https://api.whop.com/api/v1/swaps \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.whop.com/api/v1/swaps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"data": [
{
"account_id": "<string>",
"id": "<string>",
"object": "swap",
"status": "<string>",
"tx_hashes": [
"<string>"
],
"error": "<string>"
}
]
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}Swaps
List Swaps
Lists the account’s swaps. Currently returns the in-flight or most recent swap, so zero or one rows.
GET
/
swaps
JavaScript
import Whop from '@whop/sdk';
const client = new Whop({
apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});
const swaps = await client.swaps.list({ account_id: 'account_id' });
console.log(swaps.data);Authorizations
A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************
Query Parameters
Business or user account ID (biz_* / user_*).
Response
swaps listed
Swaps returned for this account.
Show child attributes
Show child attributes
⌘I

